Elimina un utente
ELIMINA /accounts/{account_id}/core/v1/users/{user_id}
Rimuove la risorsa API utente specificata.
Effetti collaterali
-
Vengono eliminate le seguenti risorse associate all'utente: notificationMarks, token e tutti i roleBindings che fanno riferimento all'utente.
-
Per un utente con "authProvider" come "local", anche la credenziale collegata con "keyType" come "passwordHash" verrà eliminata.
Parametri
| Nome | Tipo | In | Obbligatorio | Descrizione |
|---|---|---|---|---|
ID account |
stringa |
percorso |
Vero |
ID della risorsa account contenitore
|
ID utente |
stringa |
percorso |
Vero |
ID della raccolta utenti da elencare |
Risposta
Status: 204, Indicates if the user resource was deleted.
Risposta
Status: 401, Unauthorized
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
tipo |
stringa |
Vero |
|
titolo |
stringa |
Vero |
|
dettaglio |
stringa |
Vero |
|
stato |
stringa |
Vero |
|
ID correlazione |
stringa |
Falso |
Risposta tipo
{
"type": "https://astra.netapp.io/problems/3",
"title": "Missing bearer token",
"detail": "The request is missing the required bearer token.",
"status": "401"
}
Risposta
Status: 400, Bad request
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
tipo |
stringa |
Vero |
|
titolo |
stringa |
Vero |
|
dettaglio |
stringa |
Vero |
|
stato |
stringa |
Vero |
|
ID correlazione |
stringa |
Falso |
|
invalidParams |
vettore["invalidParams"] |
Falso |
Elenco dei parametri di query non validi |
Risposta tipo
{
"type": "https://astra.netapp.io/problems/5",
"title": "Invalid query parameters",
"detail": "The supplied query parameters are invalid.",
"status": "400"
}
Risposta
Status: 403, Forbidden
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
tipo |
stringa |
Vero |
|
titolo |
stringa |
Vero |
|
dettaglio |
stringa |
Vero |
|
stato |
stringa |
Vero |
|
ID correlazione |
stringa |
Falso |
Risposta tipo
{
"type": "https://astra.netapp.io/problems/11",
"title": "Operation not permitted",
"detail": "The requested operation isn't permitted.",
"status": "403"
}
Errore
Status: 404, Not found
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
tipo |
stringa |
Vero |
|
titolo |
stringa |
Vero |
|
dettaglio |
stringa |
Vero |
|
stato |
stringa |
Vero |
|
ID correlazione |
stringa |
Falso |
Esempio di risposta di errore
{
"type": "https://astra.netapp.io/problems/1",
"title": "Resource not found",
"detail": "The resource specified in the request URI wasn't found.",
"status": "404"
}
Definizioni
Vedi definizioni
invalidParams
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
nome |
stringa |
Vero |
Nome del parametro di query non valido |
motivo |
stringa |
Vero |
Motivo per cui il parametro di query non è valido |